Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.testing
Class AbstractOWLTestAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protegex.owl.ui.testing.AbstractOWLTestAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  AbstractOWLModelTestAction, OWLTestInstanceAction

    public abstract class AbstractOWLTestAction

extends AbstractAction

Author:
  Holger Knublauch
See Also:
  Serialized Form

Field Summary
`protected OWLModel` | `owlModel`
`protected OWLTestManager` | `testManager`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`AbstractOWLTestAction()`
`AbstractOWLTestAction(OWLModel owlModel, OWLTestManager testManager, String text, Icon icon)`

Method Summary
`void` | `actionPerformed(ActionEvent e)`
`protected OWLTest[]` | `getOWLTests()`
`protected OWLTestResultsPanel` | `getTestResultsPanel(OWLModel owlModel, List results)`
`protected abstract List` | `run(OWLTest[] tests, Task task)`
`protected void` | `runOWLClsTest(List results, RDFSClassTest test)`
`protected void` | `runOWLInstanceTest(List results, RDFResourceTest test)`
`protected void` | `runOWLModelTest(List results, OWLModelTest test)`
`protected void` | `runOWLPropertyTest(List results, RDFPropertyTest test)`
`protected void` | `showAllTestsPassedMessage(int count)`
`void` | `showResults(List results, OWLModel owlModel)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owlModel

    protected OWLModel owlModel

### testManager

    protected OWLTestManager testManager

Constructor Detail

### AbstractOWLTestAction

    public AbstractOWLTestAction()

### AbstractOWLTestAction

    public AbstractOWLTestAction(OWLModel owlModel,
                                 OWLTestManager testManager,
                                 String text,
                                 Icon icon)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

### getOWLTests

    protected OWLTest[] getOWLTests()

### getTestResultsPanel

    protected OWLTestResultsPanel getTestResultsPanel(OWLModel owlModel,
                                                      List results)

### run

    protected abstract List run(OWLTest[] tests,
                                Task task)

### runOWLClsTest

    protected void runOWLClsTest(List results,
                                 RDFSClassTest test)

### runOWLInstanceTest

    protected void runOWLInstanceTest(List results,
                                      RDFResourceTest test)

### runOWLModelTest

    protected void runOWLModelTest(List results,
                                   OWLModelTest test)

### runOWLPropertyTest

    protected void runOWLPropertyTest(List results,
                                      RDFPropertyTest test)

### showAllTestsPassedMessage

    protected void showAllTestsPassedMessage(int count)

### showResults

    public void showResults(List results,
                            OWLModel owlModel)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.